<!--
Copyright (C) 2018 Freetech Solutions

This file is part of OMniLeads

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.

-->
{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block content %}
<h1>{% trans 'Grupos de agentes' %}</h1>

<table class="table">
    <thead>
        <tr>
            <th>{% trans 'id' %}</th>
            <th>{% trans 'Nombre' %}</th>
            <th>{% trans 'Auto attend ics' %}</th>
            <th>{% trans 'Auto attend inbound' %}</th>
            <th>{% trans 'Auto attend dialer' %}</th>
            <th>{% trans 'Auto unpause' %}</th>
            {% if user.get_es_administrador_o_supervisor_normal %}
                <th>{% trans 'acciones' %}</th>
            {% endif %}
        </tr>
    </thead>
    <tbody>
    {% for grupo in object_list %}
        <tr id="{{ grupo.nombre }}">
            <td>{{ grupo.id }}</td>
            <td>{{ grupo.nombre }}</td>
            <td>
                {% if grupo.auto_attend_ics %}
                    <span class="icon icon-check" aria-hidden="true"></span>
                {% else %}
                    <span class="icon icon-cancel" aria-hidden="true"></span>
                {% endif %}
            </td>
            <td>
                {% if grupo.auto_attend_inbound %}
                    <span class="icon icon-check" aria-hidden="true"></span>
                {% else %}
                    <span class="icon icon-cancel" aria-hidden="true"></span>
                {% endif %}
            </td>
            <td>
                {% if grupo.auto_attend_dialer %}
                    <span class="icon icon-check" aria-hidden="true"></span>
                {% else %}
                    <span class="icon icon-cancel" aria-hidden="true"></span>
                {% endif %}
            </td>
            <td>{{grupo.auto_unpause}}</td>
            {% if user.get_es_administrador_o_supervisor_normal %}
            <td>
                <div class="dropdown">
                    <button class="btn btn-light dropdown-toggle" type="button" id="dropdownActions" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    {% trans 'Opciones' %}
                    </button>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownActions">
                        <a class="dropdown-item" href="{% url 'grupo_update' grupo.id %}">
                            <span class="icon icon-pencil"></span>{% trans 'Editar' %}
                        </a>
                        <a class="dropdown-item" href="{% url 'grupo_delete' grupo.id %}">
                            <span class="icon icon-trash"></span>{% trans 'Eliminar' %}
                        </a>
                    </div>
                </div>
            </td>
            {% endif %}
        </tr>
   {% empty %}
    <tr>
        <td>{% trans 'No existen grupos' %}</td>
    </tr>
    {% endfor %}
    </tbody>
</table>

{% endblock %}
